@else does not work after event line

Description

The following code:

Throws the error

This would be nice to fix before the release because we change a few ssl events; @if-ing the event statement with both the new and old event definition depending on version would be kind of nice.

Environment

None

Activity

Show:
Johanna Amann
August 29, 2018, 9:11 AM

This is done in topic/johanna/bit-1976 and feels a little bit hacky...

The sad thing (obviously) is that we cannot really use that as long as you want to provide backwards compatibility before 2.6.

Jon Siwek
August 30, 2018, 9:31 AM

Merged plus fixed to work with attributes like &priority (please double-check what I did looks sane if you have a chance).

Merged

Assignee

Jon Siwek

Reporter

Johanna Amann

Labels

None

External issue ID

None

Components

Fix versions

Affects versions

Priority

Normal